# Class ReadDataManipulationProgramGroup

java.lang.Object
picard.cmdline.programgroups.ReadDataManipulationProgramGroup

All Implemented Interfaces:
  `org.broadinstitute.barclay.argparser.CommandLineProgramGroup`

public class ReadDataManipulationProgramGroup extends Object implements org.broadinstitute.barclay.argparser.CommandLineProgramGroup
Tools that manipulate read data in SAM, BAM or CRAM format

## Field Summary

### Fields inherited from interface org.broadinstitute.barclay.argparser.CommandLineProgramGroup

`comparator`

## Constructor Summary

Constructors
Constructor
Description
`ReadDataManipulationProgramGroup()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
`String`
`getName()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReadDataManipulationProgramGroup

public ReadDataManipulationProgramGroup()

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `org.broadinstitute.barclay.argparser.CommandLineProgramGroup`

### getDescription

public String getDescription()

Specified by:
  `getDescription` in interface `org.broadinstitute.barclay.argparser.CommandLineProgramGroup`